#version 120

uniform sampler2D tex;
uniform sampler2D texNoise;
uniform vec4 Params;

void main()
{		
	vec2 uv = gl_TexCoord[0].xy;	
	
	float noiseAmmount = Params.x;
	float time = Params.y;
	float inverseAmmount = Params.z;
	
	float noise = texture2D(texNoise, vec2(time,uv.y)).x;
	noise = (noise*2.0f-1.0f)*noiseAmmount;
	
	vec3 diffuse = texture2D(tex, uv+vec2(noise*0.05f,0.0f)).xyz;
	float lumin = dot(diffuse, vec3(0.3f, 0.59f, 0.11f) );
	
	float vignette = clamp( 1.4f-length( uv*2.0f-vec2(1.0f) ), 0.0f, 1.0f );
	vignette =  mix( 0.6f, 1.0f, vignette);
	
	// black and white
	diffuse = mix(diffuse, vec3(lumin), noiseAmmount);
	
	// inverse
	diffuse = mix(diffuse, vec3(1.0f)-diffuse, inverseAmmount);
	
	gl_FragColor.xyz = diffuse*vignette;
	gl_FragColor.w = 1.0f;
}